Bug 1289680 - system-config-kickstart fails to launch on Fedora 23
system-config-kickstart fails to launch on Fedora 23
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
25
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 12:43 EST by Matt Darcy
Modified: 2017-09-28 19:13 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Darcy 2015-12-08 12:43:26 EST
Description of problem:
the system-config-kickstart gui fails to launch from either the gnome launcher or the command line

Version-Release number of selected component (if applicable):

2.9.3-2

How reproducible:
every time

Steps to Reproduce:
1.install Fedora 23 x86_64 on generic platform
2.install system-config-kickstart
3.from the gnome menu search for kickstart and click the icon / run system-config-kickstart from the command line

Actual results:
no gui is launched / error is reported from the command line

Traceback (most recent call last):
  File "/usr/bin/system-config-kickstart", line 88, in <module>
    import kickstartGui
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 29, in <module>
    import basic
  File "/usr/share/system-config-kickstart/basic.py", line 39, in <module>
    from pykickstart.constants import *
ImportError: No module named pykickstart.constants


Expected results:
system-config-kickstart gui is launched

Additional info:
Comment 1 Chris Lumens 2016-01-08 14:39:20 EST
The Requires: are screwed up - you actually need the python-kickstart package installed.  I'll make the change in the package here too.  Please note that s-c-ks is kind of rotting at the moment.  I really need to get to work on a much improved version.  Thanks for the bug report.
Comment 2 Jason Bradley Nance 2016-07-03 16:47:49 EDT
Same issue and fix on Fedora 24.
Comment 3 Nemanja Milosevic 2016-08-25 02:58:40 EDT
Same issue and fix as well here on F24.
Comment 4 sshanmug 2016-09-14 06:57:58 EDT
Thanks after installing python-kickstart package it's working fine
Comment 5 Fedora End Of Life 2016-11-24 09:04:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Jason Bradley Nance 2016-11-29 15:27:07 EST
This issue has gotten worse on Fedora 25:

$ sudo dnf install system-config-kickstart
Last metadata expiration check: 0:03:11 ago on Tue Nov 29 14:21:25 2016.
Error: nothing provides system-config-date needed by system-config-kickstart-2.9.3-3.fc24.noarch
(try to add '--allowerasing' to command line to replace conflicting packages)

(allowerasing doesn't change anything)

The package now appears to be completely unusable.
Comment 7 mathias 2016-12-12 06:12:51 EST
(In reply to Jason Bradley Nance from comment #6)
> This issue has gotten worse on Fedora 25:
> 
> $ sudo dnf install system-config-kickstart
> Last metadata expiration check: 0:03:11 ago on Tue Nov 29 14:21:25 2016.
> Error: nothing provides system-config-date needed by
> system-config-kickstart-2.9.3-3.fc24.noarch
> (try to add '--allowerasing' to command line to replace conflicting packages)
> 
> (allowerasing doesn't change anything)
> 
> The package now appears to be completely unusable.

Same issue
I'm also on F25
Comment 8 Martin Osvald 2017-01-22 06:53:46 EST
Temporary workaround for Fedora 25:

$ sudo dnf install https://kojipkgs.fedoraproject.org/packages/system-config-date/1.10.9/3.fc25/noarch/system-config-date-1.10.9-3.fc25.noarch.rpm python-kickstart system-config-kickstart
Comment 9 Tom Seewald 2017-04-08 13:56:00 EDT
I am affected by this as well (Fedora 25 Workstation), and can confirm that Martin's workaround allowed me to install system-config-kickstart.
Comment 10 Tim Landscheidt 2017-09-28 19:13:27 EDT
IMHO this bug should be closed as it was initially about a different issue in Fedora 23; bug #1406598 covers the broken dependency in Fedora 25.

Note You need to log in before you can comment on or make changes to this bug.